/**
	* Glendale Designs Custom Programming
	* Review Posts Carousel
	* Built for Portable Technology Solutions
	*
	* Glendale Designs -- GDMZ
	*
	* Copyright Glendale Designs - Our optimizations are not freeware.
	* Do not use, copy or distribute without written permission.
	* Ask us, we're nice! support@glendaledesigns.com
*/

.t-review-posts {
	background-color: var(--blue-400);
	left: 50%;
	margin-bottom: calc(var(--margin-bottom, 0) * 1px);
	padding-top: calc(var(--padding-top, 0) * 1px);
	position: relative;
	transform: translateX(-50%);
	width: 100cqi;
	
	.o-wrapper {
		padding-block: 1rem 2rem;
		
		.t-review-posts__heading {
			color: var(--white);
			font-size: clamp(1.5rem, 0.474rem + 4.211vw, 3rem);
		}
		
		.t-review-posts-carousel {
			
			.t-review-posts-carousel__review-article {
				background-color: var(--white);
				border-radius: 1rem;
				padding: 1rem;
				
				&.is-active {
				}
				
				.t-review-posts-carousel__wrapper {
					display: flex;
					flex-direction: column;
					margin: unset;
					position: relative;
					
					.t-review-posts-carousel__caption {
						
						.t-review-posts-carousel__title {
							font-size: var(--subheading-small);
							font-weight: var(--font-medium);
						}
						
						.t-review-posts-carousel__date-author {
							color: var(--blue-400);
							font-size: var(--message-one);
							margin-bottom: 0.25rem;
						}
					}
					
					.t-review-posts-carousel__link {
						position: absolute;
						inset: 0;
						opacity: 0;
						text-decoration: none;
						transition: opacity ease-in 0.15s;
						z-index: 1;
						
						.t-review-posts-carousel__link-text {
							align-items: center;
							aspect-ratio: 1;
							background-color: var(--orange);
							border-radius: 50%;
							display: inline-flex;
							color: var(--white);
							padding: 0.75rem;
							position: absolute;
							right: 3rem;
							top: 25%;
						}
						
						@media (hover: hover) and (pointer: fine) {
							&:is(:focus, :hover) {
								opacity: 1;
							}
						}
					}
				}
			}
			
			.t-review-posts-carousel__arrows {
				align-items: center;
				display: flex;
				gap: 1rem;
				justify-content: center;
				padding-top: 1rem;
				
				.t-review-posts-carousel__arrow {
					background-color: var(--white);
					border: var(--default-border-width) solid var(--gray-400);
					opacity: 1;
					padding: 1em;
					position: unset;
					transform: unset;
					width: 3rem;
					height: 3rem;
					
					&:disabled {
						opacity: 0.5;
					}
					
					svg {
						height: unset;
						width: unset;
					}
				}
			}
		}
	}
}



/* This styles our custom flex components debug section.
    =========================================== */
.gd-debug {
	background-color: #21252b;
	box-shadow: 0 0 8px 4px #21252b;
	color: #abb2bf;
	margin: 1rem;
	outline: 4px dotted #ff9800;
	overflow: auto;
	padding: 0 1rem;
	white-space: break-spaces;
}
